package com.steerinfo.meterwork.meterworkrailwayreceived.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkrailwayactfirst.model.MeterWorkRailwayActFirst;
import com.steerinfo.meterwork.meterworkrailwaymotorialreceived.model.MeterWorkRailwayMotorialReceived;
import com.steerinfo.meterwork.meterworkrailwayreceived.model.MeterWorkRailwayReceived;
import java.math.*;
import java.util.HashMap;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MeterWorkRailwayReceivedMapper extends IBaseMapper<MeterWorkRailwayReceived, String> {
    String getNewID(@Param(value="afl")String afl);
    void updateMeterWorkRailwayReceived(@feign.Param( value = "actualFirstNo") String actualFirstNo);
    void updateMeterWorkRailwayReceiveds(String s);
    List<MeterWorkRailwayReceived> noPage(HashMap<String, Object> map);
    MeterWorkRailwayReceived getPrimaryKey(HashMap params);
    HashMap getCount(HashMap params);
    MeterWorkRailwayReceived selectAndMatch(@Param(value = "actualFirstNo") String actualFirstNo, @Param(value = "predictionNo") String predictionNo);
    MeterWorkRailwayReceived selectAndRemove(@Param(value = "actualFirstNo")String actualFirstNo);

    int deleteByPrimaryKeyLike(@Param(value = "actualFirstNo")String actualFirstNo);
    List<MeterWorkRailwayReceived> selectByPrimaryKeyLike(@Param(value = "actualFirstNo")String actualFirstNo);
    List<MeterWorkRailwayReceived> likeByDesc(HashMap<String, Object> params);
}